Bug 17469 - Testsuite in libstdc++ overrides LD_LIBRARY_PATH
Testsuite in libstdc++ overrides LD_LIBRARY_PATH
Status: RESOLVED FIXED
Product: gcc
Classification: Unclassified
Component: libstdc++
unknown
: P2 normal
: 3.4.3
Assigned To: Not yet assigned to anyone
:
Depends on:
Blocks: 17464
  Show dependency treegraph
 
Reported: 2004-09-13 21:28 UTC by H.J. Lu
Modified: 2005-07-23 22:49 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description H.J. Lu 2004-09-13 21:28:20 UTC
Testsuite in libstdc++ overrides LD_LIBRARY_PATH by using the global
ld_library_path, which causes LD_LIBRARY_PATH to be set as
$ld_library_path.
Comment 1 H.J. Lu 2004-09-14 18:38:48 UTC
A patch is posted at

http://gcc.gnu.org/ml/gcc-patches/2004-09/msg01372.html
Comment 2 Benjamin Kosnik 2004-09-24 16:45:05 UTC
This is ok for 3.4 and 4.0.

Thanks H.J!

-benjamin
Comment 3 CVS Commits 2004-09-24 16:51:47 UTC
Subject: Bug 17469

CVSROOT:	/cvs/gcc
Module name:	gcc
Changes by:	hjl@gcc.gnu.org	2004-09-24 16:51:12

Modified files:
	libstdc++-v3   : ChangeLog 
	libstdc++-v3/testsuite/lib: libstdc++.exp 

Log message:
	2004-09-24  H.J. Lu  <hongjiu.lu@intel.com>
	
	PR libstdc++/17469
	* testsuite/lib/libstdc++.exp: Don't use global ld_library_path.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/ChangeLog.diff?cvsroot=gcc&r1=1.2671&r2=1.2672
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/testsuite/lib/libstdc++.exp.diff?cvsroot=gcc&r1=1.23&r2=1.24

Comment 4 CVS Commits 2004-09-24 16:58:11 UTC
Subject: Bug 17469

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-3_4-branch
Changes by:	hjl@gcc.gnu.org	2004-09-24 16:57:57

Modified files:
	libstdc++-v3   : ChangeLog 
	libstdc++-v3/testsuite/lib: libstdc++.exp 

Log message:
	2004-09-24  H.J. Lu  <hongjiu.lu@intel.com>
	
	PR libstdc++/17469
	* testsuite/lib/libstdc++.exp: Don't use global ld_library_path.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.2224.2.178&r2=1.2224.2.179
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libstdc++-v3/testsuite/lib/libstdc++.exp.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.15.4.5&r2=1.15.4.6

Comment 5 Andrew Pinski 2004-09-24 17:24:12 UTC
Fixed.